Bug 523684 - Weka fails to work with LibSVM
Summary: Weka fails to work with LibSVM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: weka
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 524108
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 12:53 UTC by Tadej Janež
Modified: 2010-04-03 04:42 UTC (History)
1 user (show)

Fixed In Version: weka-3.6.2-2.fc12.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-04 00:08:11 UTC


Attachments (Terms of Use)

Description Tadej Janež 2009-09-16 12:53:38 UTC
Description of problem:
Weka's LibSVM component doesn't work as other classifiers and returns the:
"libsvm classes not in CLASSPATH!" error.

Version-Release number of selected component (if applicable):
weka-3.6.0-3.fc10.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Start Weka Explorer
2. Load some data
3. Select Classify tab and choose the LibSVM classifier
4. Press Start
  
Actual results:
Weka produces the following error:
Command: weka.classifiers.functions.LibSVM -S 0 -K 2 -D 3 -G 0.0 -R 0.0 -N 0.5 -M 40.0 -C 1.0 -E 0.001 -P 0.1
libsvm classes not in CLASSPATH!

Comment 1 Tadej Janež 2009-09-16 12:57:10 UTC
Just one more note, I have the following LibSVM packages installed:
libsvm-java-2.89-1.fc10.i386
libsvm-2.89-1.fc10.i386

Comment 2 Milos Jakubicek 2009-09-17 21:23:44 UTC
There are actually three problems:

1) weka doesn't Requires: libsvm-java

2) if installed, libsvm-java is not in the classpath

Adding the following line to /usr/bin/weka: 

set_classpath "libsvm.jar" (before run "")

would be enough if libsvm.jar would be placed correctly in /usr/share/java. 

3) as this is not the case, you should now modify /usr/bin/weka in the following way:

#!/bin/bash
. /usr/share/java-utils/java-functions
MAIN_CLASS="weka.gui.GUIChooser"
set_classpath "weka.jar"
export CLASSPATH="/usr/share/libsvm/java/libsvm.jar:$CLASSPATH"
run ""

I've filed bug 524108 and would like to fix this and release updates after that one is resolved together with updating to 3.6.1.

Thanks for reporting!

Comment 3 Tadej Janež 2009-09-18 14:22:32 UTC
Ok, perfect!

Thanks for your quick response!

Comment 4 Tadej Janež 2009-10-21 12:27:08 UTC
Just a "ping" on how should we proceed with this issue.

Since libsvm-java-2.89-4.fc10.i386, libsvm.jar is now correctly placed in /usr/share/java.

Should weka now require libsvm-java and should we fix /usr/bin/weka according to 2) from your previous comment?

As is now, weka still doesn't work with LibSVM out of the box.

Comment 5 Bug Zapper 2009-11-18 12:14:51 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Tadej Janež 2009-11-19 14:26:50 UTC
Another "ping", same as in comment #4 is still true for F12.

Comment 7 Fedora Update System 2010-03-02 19:00:48 UTC
weka-3.6.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/weka-3.6.2-1.fc12

Comment 8 Tadej Janež 2010-03-03 09:12:54 UTC
Ok, thank you for working on fixing this bug.

I still have another request:
Weka package should require libsvm-java as you said in comment #2.

I think this is the last piece missing to seamless SVM support in Weka.

Comment 9 Milos Jakubicek 2010-03-03 11:59:05 UTC
Of course, I'm totally dumb -- sorry! New builds are already going on...

Comment 10 Fedora Update System 2010-03-03 12:37:26 UTC
weka-3.6.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/weka-3.6.2-2.fc13

Comment 11 Fedora Update System 2010-03-03 12:49:22 UTC
weka-3.6.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/weka-3.6.2-2.fc12

Comment 12 Fedora Update System 2010-03-04 00:08:06 UTC
weka-3.6.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-01 22:43:06 UTC
weka-3.6.2-2.fc12.1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/weka-3.6.2-2.fc12.1

Comment 14 Fedora Update System 2010-04-03 04:42:31 UTC
weka-3.6.2-2.fc12.1 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.